Subject: Re: [nwcrg] my review of draft-irtf-nwcrg-network-coding-satellites-05

From: Kuhn Nicolas <[email-masked]>
Date: Tue, 20 Aug 2019 13:24:46 +0000

Hi, 

Thanks for this detailed review ! 
You can find here the integrating of all the nits and other minor corrections : 
https://github.com/irtf-nwcrg/draft-irtf-nwcrg-network-coding-satellites/pull/45/commits/a533b39b5f4145d3261da2403aef3ce634af7d1b 

There are other more open questions to which I reply here. 
- S 1 Introduction p 3 "Channel and link codings are gathered in the PHY layer coding and are out of the scope of this document... considers coding... as a linear combination and not as a content coding" don't we want to use the standard terms "channel coding" and "source coding" as in RFC 8406 section 3? also do we want to restrict solution approaches in the Abstract and Introduction of what appears to be a problem space overview?
> Since we had lots of feedback on the scope of the document, we preferred to reduce the scope clearly in the abstract and the introduction.

- On the efficient usage of satellite ressource p 12 HARQ / incremental redundancy ARQ / adaptive FEC might deserve a mention here
> Indeed. We have added some text to mention that the level at which the coding could be done is an open question.

Thanks for your help.
Cheers, 

Nico

-----Message d'origine-----
De : nwcrg <[email-masked]> De la part de Stuart William Card
Envoyé : jeudi 25 juillet 2019 19:11
À : [email-masked]
Objet : [nwcrg] my review of draft-irtf-nwcrg-network-coding-satellites-05

My review is attached; I apologize for its lateness.

This is the first time I have done this (at least, since the early days of Mobile IP, and things have changed since then).

Most of my comments are with regard to typographical errors or the like.

The comments marked with "*" are more substantive.

I look forward to seeing many of you tomorrow.

--
Stuart W. Card, VP & Chief Scientist
Critical Technologies Inc. (CTI)
<[email-masked]>